import { StoreObjectArray } from "./storeObjectArray";
import { ArrayStoreValueRef } from "./value/array_store_value_ref";
import { Location } from "../../memory/location";
import { IStoreValue } from "./value/istore_value";

export class StoreObjectArrayRef extends StoreObjectArray {

  private refObj: String;

  constructor(stoValue: ArrayStoreValueRef, lines:number, columns:number, source_matrix:boolean) {
    super(stoValue.type, lines, columns,stoValue.getAddresses(), false);
    this.refObj = stoValue.id;
  }

  get isRef () {
    return true;
  }

  getRefObj (): String {
    return this.refObj;
  }

  destroy () {
    return false;
  }
}